package com.bzd.system.service.spgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 门店商品查询表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SSpglMdspStoreproductdetailsService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSSpglMdspStoreproductdetails(PageData pd)throws Exception {
        return daoSupport.update("SSpglMdspStoreproductdetailsMapper.addSSpglMdspStoreproductdetails", pd);
    }

    public List<PageData> findSSpglMdspStoreproductdetailsList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SSpglMdspStoreproductdetailsMapper.selectSSpglMdspStoreproductdetailsList", pd);
    }

    public Integer SSpglMdspStoreproductdetailsRemove(PageData pd)throws Exception {
        return daoSupport.delete("SSpglMdspStoreproductdetailsMapper.SSpglMdspStoreproductdetailsRemove", pd);
    }


    public Integer updateSSpglMdspStoreproductdetails(PageData pd)throws Exception {
        return daoSupport.update("SSpglMdspStoreproductdetailsMapper.updateSSpglMdspStoreproductdetails", pd);
    }

}
